From: "Jimi Huotari" <chiitoo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtbase/
Date: Sun, 19 Mar 2023 13:09:40 +0000 (UTC) [thread overview]
Message-ID: <1679231196.fc2f551c14e09f758eab8317e6ca803fc885f38e.chiitoo@gentoo> (raw)
commit: fc2f551c14e09f758eab8317e6ca803fc885f38e
Author: Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 19 11:22:18 2023 +0000
Commit: Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
CommitDate: Sun Mar 19 13:06:36 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc2f551c
dev-qt/qtbase: add 6.4.3
Signed-off-by: Jimi Huotari <chiitoo <AT> gentoo.org>
dev-qt/qtbase/Manifest | 1 +
dev-qt/qtbase/qtbase-6.4.3.ebuild | 185 ++++++++++++++++++++++++++++++++++++++
2 files changed, 186 insertions(+)
diff --git a/dev-qt/qtbase/Manifest b/dev-qt/qtbase/Manifest
index e77cc5de7513..56fd88940d3e 100644
--- a/dev-qt/qtbase/Manifest
+++ b/dev-qt/qtbase/Manifest
@@ -1 +1,2 @@
DIST qtbase-everywhere-src-6.4.2.tar.xz 47987188 BLAKE2B 5d25d8b912ba775faa5855ad4326cbd19580cc7f98b997a9bbdb4a2216550a60b2c8a7a2ef1741a5dfd66ebde0d1cf5d0394215474c39c7779648b03c3892812 SHA512 b00cce7bfc29d3a34c9a2f08db147c4bfd962e178916d60033e1845b25eaeaa4fbd42f5c1d7e39453ddb412a4e91c22c8eae52745eda8a47e35a691054d5496e
+DIST qtbase-everywhere-src-6.4.3.tar.xz 48078536 BLAKE2B 36d693535479677ca319485634c3eea9dc3c8e8870c8e3cab7693cab601f26c6f792ec056b66488db290defc771b65cdffdea16b420a24ea55e5c4f250119a70 SHA512 a2d0779ba7ee8b8b78f5dc8db06177d04d50463fea7cad0b7785721acfc33dbbbaa1a7bfc052edb90ba1d11b488c30004daa43b6924a97126b9b8f82ad1a7f43
diff --git a/dev-qt/qtbase/qtbase-6.4.3.ebuild b/dev-qt/qtbase/qtbase-6.4.3.ebuild
new file mode 100644
index 000000000000..742bab1d9b5c
--- /dev/null
+++ b/dev-qt/qtbase/qtbase-6.4.3.ebuild
@@ -0,0 +1,185 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Cross-platform application development framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64"
+fi
+
+# Qt Modules
+IUSE="+concurrent +dbus +gui +network +sql opengl +widgets +xml zstd"
+REQUIRED_USE="
+ opengl? ( gui )
+ widgets? ( gui )
+ X? ( || ( evdev libinput ) )
+"
+
+QTGUI_IUSE="accessibility egl eglfs evdev gles2-only +jpeg +libinput tslib tuio vulkan +X"
+QTNETWORK_IUSE="brotli gssapi libproxy sctp +ssl vnc"
+QTSQL_IUSE="freetds mysql oci8 odbc postgres +sqlite"
+IUSE+=" ${QTGUI_IUSE} ${QTNETWORK_IUSE} ${QTSQL_IUSE} cups gtk icu systemd +udev"
+# QtPrintSupport = QtGui + QtWidgets enabled.
+# ibus = xkbcommon + dbus, and xkbcommon needs either libinput or X
+REQUIRED_USE+="
+ $(printf '%s? ( gui ) ' ${QTGUI_IUSE//+/})
+ $(printf '%s? ( network ) ' ${QTNETWORK_IUSE//+/})
+ $(printf '%s? ( sql ) ' ${QTSQL_IUSE//+/})
+ accessibility? ( dbus X )
+ cups? ( gui widgets )
+ eglfs? ( egl )
+ gtk? ( widgets )
+ gui? ( || ( eglfs X ) || ( libinput X ) )
+ libinput? ( udev )
+ sql? ( || ( freetds mysql oci8 odbc postgres sqlite ) )
+ vnc? ( gui )
+ X? ( gles2-only? ( egl ) )
+"
+
+# TODO:
+# qtimageformats: mng not done yet, qtimageformats.git upstream commit 9443239c
+# qtnetwork: connman, networkmanager
+DEPEND="
+ app-crypt/libb2
+ dev-libs/double-conversion:=
+ dev-libs/glib:2
+ dev-libs/libpcre2:=[pcre16,unicode]
+ dev-util/gtk-update-icon-cache
+ media-libs/fontconfig
+ >=media-libs/freetype-2.6.1:2
+ >=media-libs/harfbuzz-1.6.0:=
+ media-libs/tiff:=
+ >=sys-apps/dbus-1.4.20
+ sys-libs/zlib:=
+ brotli? ( app-arch/brotli:= )
+ evdev? ( sys-libs/mtdev )
+ freetds? ( dev-db/freetds )
+ gles2-only? ( media-libs/libglvnd )
+ !gles2-only? ( media-libs/libglvnd[X] )
+ gssapi? ( virtual/krb5 )
+ gtk? (
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/pango
+ )
+ gui? ( media-libs/libpng:= )
+ icu? ( dev-libs/icu:= )
+ !icu? ( virtual/libiconv )
+ jpeg? ( media-libs/libjpeg-turbo:= )
+ libinput? (
+ dev-libs/libinput:=
+ >=x11-libs/libxkbcommon-0.5.0
+ )
+ libproxy? ( net-libs/libproxy )
+ mysql? ( dev-db/mysql-connector-c:= )
+ oci8? ( dev-db/oracle-instantclient:=[sdk] )
+ odbc? ( dev-db/unixODBC )
+ postgres? ( dev-db/postgresql:* )
+ sctp? ( kernel_linux? ( net-misc/lksctp-tools ) )
+ sqlite? ( dev-db/sqlite:3 )
+ ssl? ( dev-libs/openssl:= )
+ systemd? ( sys-apps/systemd:= )
+ tslib? ( >=x11-libs/tslib-1.21 )
+ udev? ( virtual/libudev:= )
+ vulkan? ( dev-util/vulkan-headers )
+ X? (
+ x11-libs/libdrm
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ >=x11-libs/libxcb-1.12:=
+ >=x11-libs/libxkbcommon-0.5.0[X]
+ x11-libs/xcb-util-image
+ x11-libs/xcb-util-keysyms
+ x11-libs/xcb-util-renderutil
+ x11-libs/xcb-util-wm
+ )
+ zstd? ( app-arch/zstd:= )
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ local mycmakeargs=(
+ -DINSTALL_ARCHDATADIR=${QT6_ARCHDATADIR}
+ -DINSTALL_BINDIR=${QT6_BINDIR}
+ -DINSTALL_DATADIR=${QT6_DATADIR}
+ -DINSTALL_DOCDIR=${QT6_DOCDIR}
+ -DINSTALL_EXAMPLESDIR=${QT6_EXAMPLESDIR}
+ -DINSTALL_INCLUDEDIR=${QT6_HEADERDIR}
+ -DINSTALL_LIBDIR=${QT6_LIBDIR}
+ -DINSTALL_LIBEXECDIR=${QT6_LIBEXECDIR}
+ -DINSTALL_MKSPECSDIR=${QT6_ARCHDATADIR}/mkspecs
+ -DINSTALL_PLUGINSDIR=${QT6_PLUGINDIR}
+ -DINSTALL_QMLDIR=${QT6_QMLDIR}
+ -DINSTALL_SYSCONFDIR=${QT6_SYSCONFDIR}
+ -DINSTALL_TRANSLATIONSDIR=${QT6_TRANSLATIONDIR}
+ -DQT_FEATURE_androiddeployqt=OFF
+ $(qt_feature concurrent)
+ $(qt_feature dbus)
+ $(qt_feature gui)
+ $(qt_feature gui testlib)
+ $(qt_feature icu)
+ $(qt_feature network)
+ $(qt_feature sql)
+ $(qt_feature systemd journald)
+ $(qt_feature udev libudev)
+ $(qt_feature xml)
+ $(qt_feature zstd)
+ )
+ use gui && mycmakeargs+=(
+ $(qt_feature accessibility accessibility_atspi_bridge)
+ $(qt_feature egl)
+ $(qt_feature eglfs eglfs_egldevice)
+ $(qt_feature eglfs eglfs_gbm)
+ $(qt_feature evdev)
+ $(qt_feature evdev mtdev)
+ -DQT_FEATURE_gif=ON
+ $(qt_feature jpeg)
+ $(qt_feature opengl)
+ $(qt_feature gles2-only opengles2)
+ $(qt_feature libinput)
+ $(qt_feature tslib)
+ $(qt_feature tuio tuiotouch)
+ $(qt_feature vulkan)
+ $(qt_feature widgets)
+ $(qt_feature X xcb)
+ $(qt_feature X xcb_xlib)
+ )
+ use widgets && mycmakeargs+=(
+ $(qt_feature cups)
+ $(qt_feature gtk gtk3)
+ )
+ if use libinput || use X; then
+ mycmakeargs+=( -DQT_FEATURE_xkbcommon=ON )
+ fi
+ use network && mycmakeargs+=(
+ $(qt_feature brotli)
+ $(qt_feature gssapi)
+ $(qt_feature libproxy)
+ $(qt_feature sctp)
+ $(qt_feature ssl openssl)
+ $(qt_feature vnc)
+ )
+ use sql && mycmakeargs+=(
+ $(qt_feature freetds sql_tds)
+ $(qt_feature mysql sql_mysql)
+ $(qt_feature oci8 sql_oci)
+ $(qt_feature odbc sql_odbc)
+ $(qt_feature postgres sql_psql)
+ $(qt_feature sqlite sql_sqlite)
+ $(qt_feature sqlite system_sqlite)
+ )
+
+ qt6-build_src_configure
+}
+
+src_install() {
+ qt6-build_src_install
+
+ # https://bugs.gentoo.org/863395
+ qt6_symlink_binary_to_path qmake 6
+}
next reply other threads:[~2023-03-19 13:09 UTC|newest]
Thread overview: 83+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-03-19 13:09 Jimi Huotari [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-02 14:10 [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtbase/ Arthur Zamarin
2024-11-01 6:35 Arthur Zamarin
2024-10-09 6:22 Ionen Wolkens
2024-09-03 7:44 Ionen Wolkens
2024-09-02 17:52 Ionen Wolkens
2024-08-26 22:08 Ionen Wolkens
2024-08-25 20:27 Eli Schwartz
2024-07-25 6:22 Ionen Wolkens
2024-07-25 6:22 Ionen Wolkens
2024-07-25 6:22 Ionen Wolkens
2024-07-22 22:53 Ionen Wolkens
2024-07-21 12:54 Ionen Wolkens
2024-07-08 16:40 Arthur Zamarin
2024-07-08 10:09 Sam James
2024-07-03 0:39 Ionen Wolkens
2024-06-02 8:22 Ionen Wolkens
2024-04-02 6:09 Arthur Zamarin
2024-03-30 0:29 Ionen Wolkens
2024-03-25 22:10 Ionen Wolkens
2024-03-24 18:39 Ionen Wolkens
2024-03-22 6:16 Arthur Zamarin
2024-02-29 2:09 Ionen Wolkens
2024-01-23 14:36 Ionen Wolkens
2024-01-23 14:36 Ionen Wolkens
2024-01-19 22:13 Ionen Wolkens
2024-01-08 21:09 Ionen Wolkens
2024-01-08 12:59 Ionen Wolkens
2024-01-08 12:59 Ionen Wolkens
2024-01-07 15:20 Ionen Wolkens
2024-01-07 15:20 Ionen Wolkens
2023-12-18 1:37 Ionen Wolkens
2023-12-01 19:48 Jakov Smolić
2023-12-01 7:04 Ionen Wolkens
2023-12-01 6:21 Sam James
2023-12-01 6:21 Sam James
2023-11-30 5:29 Ionen Wolkens
2023-11-29 22:33 Sam James
2023-10-27 11:40 Ionen Wolkens
2023-10-27 11:40 Ionen Wolkens
2023-10-22 4:51 Ionen Wolkens
2023-10-17 21:19 Ionen Wolkens
2023-10-10 18:09 Ionen Wolkens
2023-10-10 14:51 Ionen Wolkens
2023-09-26 15:16 Ionen Wolkens
2023-09-26 12:24 Ionen Wolkens
2023-09-24 17:51 Ionen Wolkens
2023-09-24 17:09 WANG Xuerui
2023-09-24 17:09 WANG Xuerui
2023-09-22 20:53 Sam James
2023-09-20 8:32 Ionen Wolkens
2023-09-19 3:02 Ionen Wolkens
2023-09-19 3:02 Ionen Wolkens
2023-09-17 2:11 Ionen Wolkens
2023-09-17 1:59 Ionen Wolkens
2023-09-13 16:42 Ionen Wolkens
2023-09-13 16:42 Ionen Wolkens
2023-09-12 11:44 Ionen Wolkens
2023-09-12 11:44 Ionen Wolkens
2023-09-12 1:28 Sam James
2023-09-12 1:26 Sam James
2023-09-12 0:13 Ionen Wolkens
2023-09-11 22:59 Sam James
2023-09-09 16:22 Ionen Wolkens
2023-09-09 16:22 Ionen Wolkens
2023-09-09 16:22 Ionen Wolkens
2023-09-06 8:49 Ionen Wolkens
2023-09-05 14:31 Ionen Wolkens
2023-09-05 13:05 Ionen Wolkens
2023-06-10 14:33 Jimi Huotari
2023-06-10 14:33 Jimi Huotari
2023-06-02 15:39 Jimi Huotari
2023-05-24 6:52 Jimi Huotari
2023-05-23 2:52 Sam James
2023-05-06 11:26 Jimi Huotari
2023-04-17 19:39 Jimi Huotari
2023-04-17 19:39 Jimi Huotari
2023-03-26 16:59 Jimi Huotari
2023-02-09 10:02 Andreas Sturmlechner
2023-01-05 22:39 Jimi Huotari
2022-12-01 19:19 Andreas Sturmlechner
2022-09-24 14:32 Andreas Sturmlechner
2022-08-02 22:00 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1679231196.fc2f551c14e09f758eab8317e6ca803fc885f38e.chiitoo@gentoo \
--to=chiitoo@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox